# QuotesApp

<img alt = "QuotesApp Logo" src="https://raw.githubusercontent.com/GouravKhunger/QuotesApp/main/images/logo.png" height="150px" width="150px" align="right"/>

A beautiful Quotes App where you can read and save quotes.

This repository contains source code of a Quotes app, which helps you stay motivated by providing best picked quotes
stated by famous personalities. This app uses [zen quotes](https://zenquotes.io) api, for retrieving quotes.

[Download](https://github.com/GouravKhunger/QuotesApp/releases/latest) the latest `apk` file of this project and do provide feedback 😀

# Screenshots
Here are some screenshots from the app:

| ![first](https://raw.githubusercontent.com/GouravKhunger/QuotesApp/main/images/one.png)   | ![second](https://raw.githubusercontent.com/GouravKhunger/QuotesApp/main/images/two.png)  |
|---------------------------------|---------------------------------|
| ![third](https://raw.githubusercontent.com/GouravKhunger/QuotesApp/main/images/three.png) | ![fourth](https://raw.githubusercontent.com/GouravKhunger/QuotesApp/main/images/four.png) |

# Details
[Watch the demo video on Youtube](https://youtu.be/9Kl6WDmTK8g)

This App has useful features, such as bookmarks, to save the quotes that you find motivating, and keep them in a
separated section. Moreover, there are a number of cool transition and animation affects, which makes navigation much
cooler.

Long pressing a quote in your Bookmarks copies that quote to the clipboard... More features along the way 🚀.

# Have awesome ideas?
Feel free to [Create an issue](https://github.com/GouravKhunger/QuotesApp/issues/new)
if you think you have a great idea that could be implmented in the app!

I hope you like the app :)
Stay safe... Stay Motivated ;)

# Tech Stack
This app is developed using Kotlin. It uses the latest android recommended development principles.

The code is structured based on MVVM pattern.

Here's a list of tools and frameworks this app uses:

- Material Design
- Android LifeCycle Components
- Room Database Library
- Kotlin Extensions and Coroutines
- Retrofit Library
- Android Navigation Components

# Credits
I would like to mention these sources that helped directly/indirectly towards
the development of this app:

- <a href="http://www.freepik.com">Freepik</a>- For providing awesome gradient pictures.
The background image used in the app is an edited version of a gradient image taken from freepik
  
- The makers of the above mentioned technologies

# License

```
MIT License

Copyright (c) 2021 Gourav Khunger

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
```
